************************************** ``GET`` Candidate's Assessment Report ************************************** This API retrieves the Assessment report of the Candidate. Request URL ============= .. code-block:: GET /assessments/report/ .. warning:: Make sure to add your API key in Header of the request Parameters =========== +---------------------+------------------+---------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +=====================+==================+===================================================================================================+ | report_id | *integer* | Report ID of the candidate | +---------------------+------------------+---------------------------------------------------------------------------------------------------+ Response =========== - A JSON response containing information about the Candidate report given the candidate has completed the assessment and the Invite Link. .. code-block:: JSON { "assessment_id": "integer", "candidate_id": "integer", "completed_date": "string", "cut_off": "integer", "email": "string", "invite_status": "string", "name": "string", "offtab_count": "integer", "overall_percentage": "double", "registration_fields": [ { "label": "string", "value": "string" } ], "report_id": "integer", "report_link": "string", "sections": [ { "percentage": "double", "section": "string", "skill_wise_score": [ { "skill": "string", "percentage": "float" }, ] }, ] } .. note:: - ``report_link`` is a signed link to the report and remains active for 7 days from completion. If you need access after it expires, you can use the Shareable Report Link API to generate a new link with your desired expiry time. - The response for ``sections`` may differ based on the assessment configuration. Sections contains the names of all sections along with the corresponding scores obtained for each section. - Please note that the ``skill_wise_score`` will only have the score for those sections which the candidate took up and answered, rest of the other skills will not be included. - The response for ``registration_fields`` also may differ based on the Custom Registration fields set for the assessment. - A JSON response when the candidate has not completed the assessment. .. code-block:: JSON { "assessment_id": "integer", "candidate_id": "inetger", "email": "string", "invite_status": "string", "name": "string", "report_id": "integer" } .. note:: The value for ``invite_status`` could be ``Pending`` meaning the candidate has not yet started the assessment and ``Started`` meaning the candidate is currently taking up the assessment.